import java.awt.Menu;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import mug.app.Command;
import mug.app.CommandMenu;

public class BrowseBookmarksFileCommand extends Command {
   private MainShell _app;

   public BrowseBookmarksFileCommand(MainShell var1) {
      this._app = var1;
   }

   public void execute() {
      File var1 = this._app.showFileDialog("Load Image", 0, new ImageFilenameFilter());
      if (var1 != null) {
         label81: {
            try {
               this._app.setBusy(true);
               BookmarksParser var4 = new BookmarksParser(new FileInputStream(var1), this._app);
               CommandMenu var6 = (CommandMenu)this._app.getMenu("Bookmarks");

               int var5;
               while((var5 = ((Menu)var6).countItems()) > 1) {
                  ((Menu)var6).remove(var5 - 1);
               }

               ((Menu)var6).addSeparator();
               var4.parse(var6);
               break label81;
            } catch (FileNotFoundException var10) {
               this.log(var10);
            } catch (IOException var11) {
               this.log(var11);
               return;
            } finally {
               this._app.setBusy(false);
            }

            return;
         }

         ((Command)this).executeNext();
      }
   }

   private void log(Exception var1) {
      System.out.println("Caught an exception: " + ((Throwable)var1).getMessage());
      ((Throwable)var1).printStackTrace();
   }
}
