import java.awt.Graphics;
import java.util.NoSuchElementException;
import java.util.StringTokenizer;

public class Circle extends Area {
   private static final int MINRADIUS = 5;
   // $FF: renamed from: _x int
   private int field_0;
   // $FF: renamed from: _y int
   private int field_1;
   // $FF: renamed from: _r int
   private int field_2;

   public Circle(int var1, int var2) {
      this(var1, var2, 0);
   }

   public Circle(int var1, int var2, int var3) {
      this.field_0 = var1;
      this.field_1 = var2;
      this.field_2 = var3;
   }

   public Circle(String var1) {
      StringTokenizer var2 = new StringTokenizer(var1, ", \t\n\r");

      try {
         this.field_0 = Integer.parseInt(var2.nextToken());
         this.field_1 = Integer.parseInt(var2.nextToken());
         this.field_2 = Integer.parseInt(var2.nextToken());
      } catch (NoSuchElementException var3) {
      } catch (NumberFormatException var4) {
      }
   }

   public void resize(int var1, int var2) {
      this.field_2 = this.radius(var1, var2);
   }

   public void translate(int var1, int var2) {
      this.field_0 += var1;
      this.field_1 += var2;
   }

   public boolean isGrab(int var1, int var2) {
      return ((Area)this).grabPoint(this.field_0, this.field_1 - this.field_2, var1, var2) || ((Area)this).grabPoint(this.field_0 + this.field_2, this.field_1, var1, var2) || ((Area)this).grabPoint(this.field_0, this.field_1 + this.field_2, var1, var2) || ((Area)this).grabPoint(this.field_0 - this.field_2, this.field_1, var1, var2);
   }

   public boolean isSelect(int var1, int var2) {
      return ((Area)this).grabPoint(this.field_2, 0, this.radius(var1, var2), 0);
   }

   public boolean inside(int var1, int var2) {
      return this.radius(var1, var2) <= this.field_2;
   }

   public boolean isValid() {
      return this.field_2 >= 5;
   }

   public boolean isComplete() {
      return this.isValid();
   }

   public void advance() {
   }

   public void draw(Graphics var1) {
      if (this.isValid()) {
         var1.drawOval(this.field_0 - this.field_2, this.field_1 - this.field_2, 2 * this.field_2, 2 * this.field_2);
         if (super._selected) {
            ((Area)this).drawPoint(var1, this.field_0, this.field_1 - this.field_2);
            ((Area)this).drawPoint(var1, this.field_0 + this.field_2, this.field_1);
            ((Area)this).drawPoint(var1, this.field_0, this.field_1 + this.field_2);
            ((Area)this).drawPoint(var1, this.field_0 - this.field_2, this.field_1);
            ((Area)this).drawCenter(var1, this.field_0, this.field_1);
         }
      }

   }

   public String getShape() {
      return "CIRCLE";
   }

   public String getCoords() {
      return this.field_0 + "," + this.field_1 + "," + this.field_2;
   }

   public synchronized Object clone() {
      return new Circle(this.field_0, this.field_1, this.field_2);
   }

   private int radius(int var1, int var2) {
      int var3 = var1 - this.field_0;
      int var4 = var2 - this.field_1;
      return (int)Math.round(Math.sqrt((double)(var3 * var3 + var4 * var4)));
   }
}
