import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.PrintStream;
import java.net.URL;
import java.util.Enumeration;
import java.util.Vector;
import mug.app.Document;

public class ImageMap extends Vector implements Document {
   private File _file;
   private boolean _modified = false;
   private File _baseFile;
   private URL _baseUrl;
   private String _imgSrc;
   private String _mapName;
   // $FF: renamed from: _w int
   private int field_0 = 10;
   // $FF: renamed from: _h int
   private int field_1 = 10;

   public boolean open(File var1) {
      try {
         FileInputStream var2 = new FileInputStream(var1);
         this.doLoad(var2);
         var2.close();
         this._file = var1;
         this._baseFile = var1;
         this._modified = false;
         return true;
      } catch (IOException var3) {
         this.log(var3);
         return false;
      }
   }

   public boolean save(File var1) {
      try {
         FileOutputStream var2 = new FileOutputStream(var1);
         this.doSave(var2);
         var2.close();
         this._file = var1;
         this._baseFile = var1;
         this._modified = false;
         return true;
      } catch (IOException var3) {
         this.log(var3);
         return false;
      }
   }

   public boolean import_(File var1) {
      try {
         FileInputStream var2 = new FileInputStream(var1);
         this.doLoad(var2);
         var2.close();
         this._baseFile = var1;
         this._modified = false;
         return true;
      } catch (IOException var3) {
         this.log(var3);
         return false;
      }
   }

   public boolean import_(URL var1) {
      try {
         InputStream var2 = var1.openStream();
         this.doLoad(var2);
         var2.close();
         this._baseUrl = var1;
         this._modified = false;
         return true;
      } catch (IOException var3) {
         this.log(var3);
         return false;
      }
   }

   public File getFile() {
      return this._file;
   }

   public boolean isModified() {
      return this._modified;
   }

   public void setModified(boolean var1) {
      this._modified = var1;
   }

   public File getBaseFile() {
      return this._baseFile;
   }

   public URL getBaseUrl() {
      return this._baseUrl;
   }

   public Area getSelected() {
      Enumeration var1 = ((Vector)this).elements();

      while(var1.hasMoreElements()) {
         Area var2 = (Area)var1.nextElement();
         if (var2.isSelected()) {
            return var2;
         }
      }

      return null;
   }

   public Area grabOne(int var1, int var2) {
      Enumeration var3 = ((Vector)this).elements();

      while(var3.hasMoreElements()) {
         Area var4 = (Area)var3.nextElement();
         if (var4.isGrab(var1, var2)) {
            return var4;
         }
      }

      return null;
   }

   public Area selectOne(int var1, int var2) {
      Enumeration var3 = ((Vector)this).elements();

      while(var3.hasMoreElements()) {
         Area var4 = (Area)var3.nextElement();
         if (var4.isSelect(var1, var2)) {
            return var4;
         }
      }

      return null;
   }

   public String getImgSrc() {
      return this._imgSrc;
   }

   public void setImgSrc(String var1) {
      this._imgSrc = var1;
   }

   public String getMapName() {
      return this._mapName;
   }

   public void setMapName(String var1) {
      this._mapName = var1;
   }

   public void doLoad(InputStream var1) {
      MapParser var2 = new MapParser(var1, this);
      var2.parse();
   }

   public void doSave(OutputStream var1) {
      PrintStream var2 = new PrintStream(var1);
      var2.println("<IMG SRC=\"" + (this._imgSrc != null ? this._imgSrc : "none") + "\"" + this.formatSize() + " USEMAP=\"#" + (this._mapName != null ? this._mapName : "none") + "\">");
      var2.println("<MAP NAME=\"" + (this._mapName != null ? this._mapName : "none") + "\">");
      Enumeration var3 = ((Vector)this).elements();

      while(var3.hasMoreElements()) {
         Area var4 = (Area)var3.nextElement();
         var2.println(var4.toString());
      }

      var2.println("</MAP>");
      var2.close();
   }

   public void setImageSize(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
   }

   private String formatSize() {
      return " WIDTH=100 HEIGHT=100";
   }

   private void log(Exception var1) {
      System.out.println("Caught an exception: " + ((Throwable)var1).getMessage());
      ((Throwable)var1).printStackTrace();
   }
}
