import java.io.InputStream;
import mug.util.HTMLStreamTokenizer;

public class MapParser extends HTMLStreamTokenizer {
   private ImageMap _imageMap;

   public MapParser(InputStream var1, ImageMap var2) {
      super(var1);
      this._imageMap = var2;
   }

   public void parse() {
      String var1 = null;
      String var2 = null;

      while(((HTMLStreamTokenizer)this).nextTag()) {
         if (((HTMLStreamTokenizer)this).compareTag("IMG")) {
            String var5 = ((HTMLStreamTokenizer)this).getParamValue("SRC");
            String var4 = ((HTMLStreamTokenizer)this).getParamValue("USEMAP");
            if (var4 != null && var4.startsWith("#")) {
               var4 = var4.substring(1);
               if (var2 == null) {
                  var2 = var4;
                  var1 = var5;
               } else if (var2.equals(var4)) {
                  var1 = var5;
                  break;
               }
            }
         } else if (((HTMLStreamTokenizer)this).compareTag("MAP")) {
            String var3 = ((HTMLStreamTokenizer)this).getParamValue("NAME");
            if (var2 == null) {
               var2 = var3;
               this.parseArea();
            } else if (var2.equals(var3)) {
               this.parseArea();
               break;
            }
         }
      }

      this._imageMap.setImgSrc(var1);
      this._imageMap.setMapName(var2);
   }

   private void parseArea() {
      while(((HTMLStreamTokenizer)this).nextTag() && ((HTMLStreamTokenizer)this).compareTag("AREA")) {
         String var1 = ((HTMLStreamTokenizer)this).getParamValue("SHAPE");
         String var2 = ((HTMLStreamTokenizer)this).getParamValue("COORDS");
         String var3 = ((HTMLStreamTokenizer)this).getParamValue("HREF");
         Area var4 = AreaBuilder.build(var1, var2);
         if (var4 != null) {
            var4.setLink(var3);
            this._imageMap.addElement(var4);
         }
      }

   }
}
