import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.GridLayout;
import java.awt.Panel;
import mug.ui.BitmapMaker;
import mug.ui.ImageChoice;
import mug.ui.ImageChoiceGroup;

public class Toolbar extends Panel {
   private MapCanvas _mapCanvas;
   private ImageChoice _rectImageChoice;
   private ImageChoice _circleImageChoice;
   private ImageChoice _polyImageChoice;

   public Toolbar(MapCanvas var1) {
      this._mapCanvas = var1;
      ((Container)this).setLayout(new GridLayout(3, 1));
      ImageChoiceGroup var2 = new ImageChoiceGroup();
      BitmapMaker var3 = new BitmapMaker(24, 24);
      var3.setColor('#', Color.black);
      var3.setColor('@', Color.white);
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("..@@@@@@@@@@@@@@@@@@@@..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..@..................#..");
      var3.setPixels("..####################..");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      ((Container)this).add(this._rectImageChoice = new ImageChoice(((Component)this).createImage(var3.getProducer()), var2));
      var3.reset(24, 24);
      var3.setColor('#', Color.black);
      var3.setColor('@', Color.white);
      var3.setPixels("........................");
      var3.setPixels("........@@@@@@@.........");
      var3.setPixels("......@@.......@@.......");
      var3.setPixels("....@@...........@@.....");
      var3.setPixels("...@...............#....");
      var3.setPixels("...@...............#....");
      var3.setPixels("..@.................#...");
      var3.setPixels("..@.................#...");
      var3.setPixels(".@...................#..");
      var3.setPixels(".@...................#..");
      var3.setPixels(".@...................#..");
      var3.setPixels(".@...................#..");
      var3.setPixels(".@...................#..");
      var3.setPixels(".@...................#..");
      var3.setPixels(".@...................#..");
      var3.setPixels("..@.................#...");
      var3.setPixels("..@.................#...");
      var3.setPixels("...@...............#....");
      var3.setPixels("...@...............#....");
      var3.setPixels("....##...........##.....");
      var3.setPixels("......##.......##.......");
      var3.setPixels("........#######.........");
      var3.setPixels("........................");
      var3.setPixels("........................");
      ((Container)this).add(this._circleImageChoice = new ImageChoice(((Component)this).createImage(var3.getProducer()), var2));
      var3.reset(24, 24);
      var3.setColor('#', Color.black);
      var3.setColor('@', Color.white);
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels(".....@@@@...............");
      var3.setPixels(".....@...@@@@@@.........");
      var3.setPixels("....@..........@@@@.....");
      var3.setPixels("....@.............#.....");
      var3.setPixels("...@...............#....");
      var3.setPixels("...@...............#....");
      var3.setPixels("..@.................#...");
      var3.setPixels("..@.................#...");
      var3.setPixels("..@..................#..");
      var3.setPixels("...@.................#..");
      var3.setPixels("...@................#...");
      var3.setPixels("....@..............#....");
      var3.setPixels("....@.......##....#.....");
      var3.setPixels(".....@..####..#...#.....");
      var3.setPixels(".....###.......#.#......");
      var3.setPixels("................#.......");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      var3.setPixels("........................");
      ((Container)this).add(this._polyImageChoice = new ImageChoice(((Component)this).createImage(var3.getProducer()), var2));
   }

   public boolean action(Event var1, Object var2) {
      if (var1.target == this._rectImageChoice && this._rectImageChoice.isSelected()) {
         this._mapCanvas.setShape(0);
      } else if (var1.target == this._circleImageChoice && this._circleImageChoice.isSelected()) {
         this._mapCanvas.setShape(1);
      } else {
         if (var1.target != this._polyImageChoice) {
            return false;
         }

         if (this._polyImageChoice.isSelected()) {
            this._mapCanvas.setShape(2);
         } else {
            this._mapCanvas.close();
         }
      }

      return true;
   }
}
