package mug.ui;

import java.awt.Color;
import java.awt.image.ImageProducer;
import java.awt.image.MemoryImageSource;

public class BitmapMaker {
   // $FF: renamed from: _w int
   private int field_0;
   // $FF: renamed from: _h int
   private int field_1;
   private int[] _pix;
   private int _index;
   private Color[] _clut;

   public BitmapMaker(int var1, int var2) {
      this.reset(var1, var2);
   }

   public void reset(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
      this._pix = new int[var1 * var2];
      this._index = 0;
      this._clut = new Color[256];
   }

   public void setColor(char var1, Color var2) {
      this._clut[var1] = var2;
   }

   public void setPixels(String var1) {
      for(int var2 = 0; var2 < var1.length(); ++var2) {
         Color var3 = this._clut[var1.charAt(var2)];
         if (var3 != null) {
            this._pix[this._index++] = var3.getRGB();
         } else {
            this._pix[this._index++] = 0;
         }
      }

   }

   public ImageProducer getProducer() {
      return new MemoryImageSource(this.field_0, this.field_1, this._pix, 0, this.field_0);
   }
}
