package mug.ui;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Insets;
import java.awt.Panel;

public class BorderPanel extends Panel {
   public static final int TOPLEFT = 0;
   public static final int TOPCENTER = 1;
   public static final int TOPRIGHT = 2;
   public static final int BOTTOMLEFT = 4;
   public static final int BOTTOMCENTER = 5;
   public static final int BOTTOMRIGHT = 6;
   protected String _label;
   protected int _position;
   protected int _hgap;
   protected int _vgap;
   protected boolean _raised = true;

   public BorderPanel() {
   }

   public BorderPanel(boolean var1) {
      this._raised = var1;
   }

   public BorderPanel(String var1) {
      this._label = var1;
   }

   public BorderPanel(String var1, boolean var2) {
      this._label = var1;
      this._raised = var2;
   }

   public BorderPanel(String var1, int var2) {
      this._label = var1;
      this._position = var2;
   }

   public BorderPanel(String var1, int var2, boolean var3) {
      this._label = var1;
      this._position = var2;
      this._raised = var3;
   }

   public BorderPanel(String var1, int var2, int var3, int var4) {
      this._label = var1;
      this._position = var2;
      this._hgap = var3;
      this._vgap = var4;
   }

   public BorderPanel(String var1, int var2, int var3, int var4, boolean var5) {
      this._label = var1;
      this._position = var2;
      this._hgap = var3;
      this._vgap = var4;
      this._raised = var5;
   }

   public BorderPanel(String var1, int var2, int var3) {
      this._label = var1;
      this._hgap = var2;
      this._vgap = var3;
   }

   public BorderPanel(String var1, int var2, int var3, boolean var4) {
      this._label = var1;
      this._hgap = var2;
      this._vgap = var3;
      this._raised = var4;
   }

   public BorderPanel(int var1, int var2) {
      this._hgap = var1;
      this._vgap = var2;
   }

   public BorderPanel(int var1, int var2, boolean var3) {
      this._hgap = var1;
      this._vgap = var2;
      this._raised = var3;
   }

   public Insets insets() {
      int var1 = this._vgap;
      int var2 = this._vgap;
      if (this._label != null) {
         FontMetrics var3 = ((Component)this).getFontMetrics(((Component)this).getFont());
         if ((this._position & 4) == 0) {
            var1 += var3.getAscent() + var3.getDescent();
         } else {
            var2 += var3.getAscent() + var3.getDescent();
         }
      }

      Insets var4 = super.insets();
      return new Insets(var4.top + var1 + 2, var4.left + this._hgap + 2, var4.bottom + var2 + 2, var4.right + this._hgap + 2);
   }

   public void paint(Graphics var1) {
      int var2 = this._vgap;
      int var3 = this._vgap;
      Font var4 = ((Component)this).getFont();
      FontMetrics var5 = ((Component)this).getFontMetrics(var4);
      if (this._label != null) {
         if ((this._position & 4) == 0) {
            var2 += var5.getAscent() + var5.getDescent();
         } else {
            var3 += var5.getAscent() + var5.getDescent();
         }
      }

      int var6 = this._hgap / 2;
      int var7 = var2 / 2;
      int var8 = ((Component)this).size().width - this._hgap - 2;
      int var9 = ((Component)this).size().height - (var2 + var3) / 2 - 2;
      Color var10 = ((Component)this).getBackground();
      Color var11;
      Color var12;
      if (this._raised) {
         var11 = var10.brighter();
         var12 = var10.darker();
      } else {
         var11 = var10.darker();
         var12 = var10.brighter();
      }

      var1.setColor(var11);
      var1.drawRect(var6, var7, var8, var9);
      var1.setColor(var12);
      var1.drawRect(var6 + 1, var7 + 1, var8, var9);
      if (this._label != null) {
         int var13 = 0;
         int var14 = 0;
         int var15 = var5.stringWidth(this._label);
         int var16 = var5.getAscent() + var5.getDescent();
         if ((this._position & 3) == 0) {
            var13 = var6 + 4;
         } else if ((this._position & 3) == 1) {
            var13 = var6 + (var8 - var15) / 2;
         } else {
            var13 = var6 + var8 - var15 - 4;
         }

         if ((this._position & 4) == 0) {
            var14 = var7 - var16 / 2;
         } else {
            var14 = var7 + var9 - var16 / 2;
         }

         var1.clearRect(var13, var14, var15, var16);
         var1.setColor(((Component)this).getForeground());
         var1.setFont(var4);
         var1.drawString(this._label, var13, var14 + var5.getAscent());
      }

   }
}
