package mug.ui;

import java.awt.Component;
import java.awt.Dimension;
import java.awt.Event;
import java.awt.Graphics;
import java.awt.Image;

public class ImageChoice extends ImageButton {
   private ImageChoiceGroup _group;
   private boolean _selected = false;

   public ImageChoice() {
   }

   public ImageChoice(Image var1) {
      super(var1);
   }

   public ImageChoice(String var1) {
      super(var1);
   }

   public ImageChoice(Image var1, String var2) {
      super(var1, var2);
   }

   public ImageChoice(Image var1, String var2, int var3) {
      super(var1, var2, var3);
   }

   public ImageChoice(boolean var1) {
      this._selected = var1;
   }

   public ImageChoice(Image var1, boolean var2) {
      super(var1);
      this._selected = var2;
   }

   public ImageChoice(String var1, boolean var2) {
      super(var1);
      this._selected = var2;
   }

   public ImageChoice(Image var1, String var2, boolean var3) {
      super(var1, var2);
      this._selected = var3;
   }

   public ImageChoice(Image var1, String var2, int var3, boolean var4) {
      super(var1, var2, var3);
      this._selected = var4;
   }

   public ImageChoice(ImageChoiceGroup var1) {
      this.initGroup(var1);
   }

   public ImageChoice(Image var1, ImageChoiceGroup var2) {
      super(var1);
      this.initGroup(var2);
   }

   public ImageChoice(String var1, ImageChoiceGroup var2) {
      super(var1);
      this.initGroup(var2);
   }

   public ImageChoice(Image var1, String var2, ImageChoiceGroup var3) {
      super(var1, var2);
      this.initGroup(var3);
   }

   public ImageChoice(Image var1, String var2, int var3, ImageChoiceGroup var4) {
      super(var1, var2, var3);
      this.initGroup(var4);
   }

   public ImageChoice(boolean var1, ImageChoiceGroup var2) {
      this._selected = var1;
      this.initGroup(var2);
   }

   public ImageChoice(Image var1, boolean var2, ImageChoiceGroup var3) {
      super(var1);
      this._selected = var2;
      this.initGroup(var3);
   }

   public ImageChoice(String var1, boolean var2, ImageChoiceGroup var3) {
      super(var1);
      this._selected = var2;
      this.initGroup(var3);
   }

   public ImageChoice(Image var1, String var2, boolean var3, ImageChoiceGroup var4) {
      super(var1, var2);
      this._selected = var3;
      this.initGroup(var4);
   }

   public ImageChoice(Image var1, String var2, int var3, boolean var4, ImageChoiceGroup var5) {
      super(var1, var2, var3);
      this._selected = var4;
      this.initGroup(var5);
   }

   public boolean handleEvent(Event var1) {
      if (var1.id == 501) {
         super._pressed = true;
         ((Component)this).repaint();
      } else if (var1.id == 506) {
         if (((Component)this).inside(var1.x, var1.y) != super._pressed) {
            super._pressed = !super._pressed;
            ((Component)this).repaint();
         }
      } else {
         if (var1.id != 502) {
            return super.handleEvent(var1);
         }

         super._pressed = false;
         if (((Component)this).inside(var1.x, var1.y)) {
            this.setSelected(!this._selected, true);
         } else {
            ((Component)this).repaint();
         }
      }

      return true;
   }

   public void paint(Graphics var1) {
      Dimension var2 = ((Component)this).size();
      if (super._pressed) {
         var1.setColor(((ImageButton)this).dark());
         var1.fillRect(0, 0, var2.width, var2.height);
         var1.setColor(((ImageButton)this).dark2());
         ((ImageButton)this).drawEdge(var1, 0, 3, false);
         ((ImageButton)this).drawImageAndLabel(var1, 2);
      } else if (this._selected) {
         var1.setColor(((ImageButton)this).bright());
         var1.fillRect(0, 0, var2.width, var2.height);
         var1.setColor(((ImageButton)this).dark());
         ((ImageButton)this).drawEdge(var1, 0, 2);
         var1.setColor(((ImageButton)this).bright2());
         ((ImageButton)this).drawEdge(var1, 1, 2);
         ((ImageButton)this).drawImageAndLabel(var1, 1);
      } else {
         var1.setColor(((Component)this).getBackground());
         var1.fillRect(0, 0, var2.width, var2.height);
         var1.setColor(((ImageButton)this).bright2());
         ((ImageButton)this).drawEdge(var1, 0, 2);
         var1.setColor(((ImageButton)this).dark());
         ((ImageButton)this).drawEdge(var1, 1, 2);
         ((ImageButton)this).drawImageAndLabel(var1);
      }
   }

   public boolean isSelected() {
      return this._selected;
   }

   public void select(boolean var1) {
      this.setSelected(true, var1);
   }

   public void deselect(boolean var1) {
      this.setSelected(false, var1);
   }

   public void setSelected(boolean var1, boolean var2) {
      if (this._group != null) {
         this._group.setSelected(this, var1, var2);
      } else {
         this.reallySetSelected(var1, var2);
      }
   }

   protected void reallySetSelected(boolean var1, boolean var2) {
      this._selected = var1;
      ((Component)this).repaint();
      if (var2) {
         ((Component)this).postEvent(new Event(this, 1001, super._label));
      }

   }

   private void initGroup(ImageChoiceGroup var1) {
      this._group = var1;
      if (this._group != null) {
         this._group.add(this);
      }

   }
}
