package mug.ui;

import java.util.Enumeration;
import java.util.Vector;

public class ImageChoiceGroup {
   private Vector _group = new Vector(4);
   private boolean _alwaysOneSelected = true;

   public ImageChoiceGroup() {
   }

   public ImageChoiceGroup(boolean var1) {
      this._alwaysOneSelected = var1;
   }

   public ImageChoice getCurrent() {
      Enumeration var1 = this._group.elements();

      while(var1.hasMoreElements()) {
         ImageChoice var2 = (ImageChoice)var1.nextElement();
         if (var2.isSelected()) {
            return var2;
         }
      }

      return null;
   }

   protected void add(ImageChoice var1) {
      this._group.addElement(var1);
      if (this._alwaysOneSelected && this._group.size() == 1) {
         var1.setSelected(true, false);
      }

   }

   protected void setSelected(ImageChoice var1, boolean var2, boolean var3) {
      if (var2) {
         ImageChoice var4 = this.getCurrent();
         if (var4 != null) {
            var4.reallySetSelected(false, var3);
         }

         var1.reallySetSelected(true, var3);
      } else if (!this._alwaysOneSelected) {
         var1.reallySetSelected(false, var3);
      } else {
         if (var1 == this.getCurrent()) {
            var1.reallySetSelected(false, var3);
            var1.reallySetSelected(true, var3);
         }

      }
   }
}
