package mug.ui;

import java.awt.Button;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dialog;
import java.awt.Event;
import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.TextArea;
import java.awt.Window;

public class TextAreaDialog extends Dialog {
   private TextArea _textArea;

   public TextAreaDialog(Frame var1, boolean var2, int var3, int var4) {
      super(var1, var2);
      this.init(var3, var4);
   }

   public TextAreaDialog(Frame var1, String var2, boolean var3, int var4, int var5) {
      super(var1, var2, var3);
      this.init(var4, var5);
   }

   public Insets insets() {
      Insets var1 = super.insets();
      return new Insets(var1.top + 15, var1.left + 15, var1.bottom + 15, var1.right + 15);
   }

   private void init(int var1, int var2) {
      ((Container)this).setLayout(new GridBagLayout());
      GridBagConstraints var3 = new GridBagConstraints();
      var3.gridwidth = 0;
      this.constrain(this._textArea = new TextArea(var1, var2), var3);
      this.constrain(new Button("Dismiss"), var3);
      ((Window)this).pack();
   }

   private void constrain(Component var1, GridBagConstraints var2) {
      GridBagLayout var3 = (GridBagLayout)((Container)this).getLayout();
      var3.setConstraints(var1, var2);
      ((Container)this).add(var1);
   }

   public boolean handleEvent(Event var1) {
      if (var1.id == 201) {
         ((Window)this).dispose();
         return true;
      } else {
         return super.handleEvent(var1);
      }
   }

   public boolean action(Event var1, Object var2) {
      if (var1.target instanceof Button) {
         ((Window)this).dispose();
         return true;
      } else {
         return false;
      }
   }

   public boolean isEditable() {
      return this._textArea.isEditable();
   }

   public void setEditable(boolean var1) {
      this._textArea.setEditable(var1);
   }

   public void setText(String var1) {
      this._textArea.setText(var1);
   }
}
