package mug.ui;

import java.awt.Button;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dialog;
import java.awt.Event;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.Label;
import java.awt.Panel;
import java.awt.TextField;
import java.awt.Window;

public class TextFieldDialog extends Dialog {
   private TextField _textField;
   private Callback _callback;

   public TextFieldDialog(Frame var1, boolean var2, String var3, int var4, Callback var5) {
      super(var1, var2);
      this._callback = var5;
      this.init(var3, var4);
   }

   public TextFieldDialog(Frame var1, String var2, boolean var3, String var4, int var5, Callback var6) {
      super(var1, var2, var3);
      this._callback = var6;
      this.init(var4, var5);
   }

   public Insets insets() {
      Insets var1 = super.insets();
      return new Insets(var1.top + 15, var1.left + 15, var1.bottom + 15, var1.right + 15);
   }

   private void init(String var1, int var2) {
      ((Container)this).setLayout(new GridBagLayout());
      GridBagConstraints var3 = new GridBagConstraints();
      this.constrain(new Label(var1), var3);
      var3.gridwidth = 0;
      this.constrain(this._textField = new TextField(var2), var3);
      Panel var4 = new Panel();
      ((Container)var4).setLayout(new FlowLayout(1, 5, 5));
      ((Container)var4).add(new Button("Ok"));
      ((Container)var4).add(new Button("Cancel"));
      this.constrain(var4, var3);
      ((Window)this).pack();
   }

   private void constrain(Component var1, GridBagConstraints var2) {
      GridBagLayout var3 = (GridBagLayout)((Container)this).getLayout();
      var3.setConstraints(var1, var2);
      ((Container)this).add(var1);
   }

   public boolean handleEvent(Event var1) {
      if (var1.id == 201) {
         ((Window)this).dispose();
         return true;
      } else {
         return super.handleEvent(var1);
      }
   }

   public boolean action(Event var1, Object var2) {
      if (var1.target == this._textField) {
         String var3 = this._textField.getText();
         ((Window)this).dispose();
         if (this._callback != null) {
            this._callback.execute(this, var3);
         }
      } else {
         if (!(var1.target instanceof Button)) {
            return false;
         }

         String var4 = this._textField.getText();
         ((Window)this).dispose();
         if (((String)var2).equals("Ok") && this._callback != null) {
            this._callback.execute(this, var4);
         }
      }

      return true;
   }

   public String getText() {
      return this._textField.getText();
   }

   public void setText(String var1) {
      this._textField.setText(var1);
   }
}
